Untar.UntarCompressionMethod (Apache Ant API)
Date: 2021-07-10

org.apache.tools.ant.taskdefs

## Class Untar.UntarCompressionMethod

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Untar.UntarCompressionMethod

- Enclosing class:
    Untar

      public static final class Untar.UntarCompressionMethod
      extends EnumeratedAttribute

  Valid Modes for Compression attribute to Untar Task

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UntarCompressionMethod()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `decompress(java.lang.String name, java.io.InputStream istream)` This method wraps the input stream with the corresponding decompression method
    `java.lang.String[]` | `getValues()` Get valid enumeration values

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UntarCompressionMethod

          public UntarCompressionMethod()

      Constructor

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Get valid enumeration values
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        valid values

    - #### decompress

          public java.io.InputStream decompress(java.lang.String name,
                                                java.io.InputStream istream)
                                         throws java.io.IOException,
                                                BuildException

      This method wraps the input stream with the corresponding decompression method
      Parameters:
        `name` - provides location information for BuildException
        `istream` - input stream
      Returns:
        input stream with on-the-fly decompression
      Throws:
        `java.io.IOException` - thrown by GZIPInputStream constructor
        `BuildException` - thrown if bzip stream does not start with expected magic values